Skip to main content
`Ctrl`+`K`

# skbio.sequence.Protein.has_nondegenerates

Protein.has_nondegenerates()

  Determine if sequence contains one or more non-degenerate characters.

  Returns:
    bool

      Indicates whether there are one or more occurrences of non-degenerate characters in the biological sequence.

  Warning

  `has_nondegenerates` is deprecated as of `0.5.0`. It has been renamed to `has_definites`.

  See also

  `definites`
  `has_definites`
  `degenerates`
  `has_degenerates`

  Examples

      >>> from skbio import DNA
      >>> s = DNA('NWNNNNNN')
      >>> s.has_nondegenerates()
      False
      >>> t = DNA('ANCACWWGACGTT')
      >>> t.has_nondegenerates()
      True